Update My User
Update information for the currently authenticated user.
PUT
/api/{version}/objects/users/meHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
Body Parameters
Section link for Body ParametersIn the body of the request, add any editable fields you wish to update. To remove existing field values, include the field name and set its value to null.
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "user_title__v=Technical Writer" \
-d "site__v": "San Francisco",
https://myvault.veevavault.com/api/v23.1/objects/users/meResponse
Section link for Response{
"responseStatus": "SUCCESS",
"id": 61579
}Response Details
Section link for Response DetailsOn SUCCESS, the specified values are updated and the request returns the id of the currently authenticated user.